Lost password feature does not work for at least one account on redmine.org

2009-06-21 15:21 - Jan Schulz-Hofen

Status: Closed Start date: 2009-06-21

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Website (redmine.org) Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

I created an account on redmine.org in Feb 2008 under the name yeah and I tried the forgot-password feature today with no luck. I

registered a new account yeah2 and tried to reproduce the error and it doesn't happen. So my guess is that there's some database

inconsistency with that old account that might be caused by one of the migrations since then. In this case it might be worthwhile to

investigate further.

These are the steps that I accomplished:

go to http://www.redmine.org/account/lost_password

typed in my email address

got the email

clicked the link

chose a new pw in the form, submitted

got the "password successfully updated" flash message

tried logging in with yeah and the new password

got the "invalid user or password" flash message

I tried this a couple of times with yeah with no luck and a couple of times with yeah2 (the newly created account) and it worked

perfectly.

You can try and experiment with the yeah account on redmine.org if that helps for testing. I didn't do much with it anyways, but it

would be nice to have it handed back to me afterwards :)

I'm assigning this to JPL because as I understand it, he manages hosting of redmine.org

History

#1 - 2009-06-28 14:15 - Jean-Philippe Lang

- Status changed from New to Closed

- Affected version (unused) deleted (0.8.4)

- Resolution set to Invalid

- Affected version deleted (0.8.4)

This was not working with yeah account because it was not activated.

It's now actived.

#2 - 2009-06-28 14:53 - Jan from Planio www.plan.io

oh, thanks then for helping me out :) however, maybe the regular behavior in this case should be changed such that the activation link gets sent again

instead of a reset-password link? do you want me to make that another ticket?
